Bug 227270 - Create certificates while installing
Summary: Create certificates while installing
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: ejabberd   
(Show other bugs)
Version: 8
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-04 15:53 UTC by Raffael Luthiger
Modified: 2018-04-11 08:04 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-25 00:09:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Raffael Luthiger 2007-02-04 15:53:35 UTC
Description of problem:
The default configuration file which is coming a with the RPM has several entry
about a certificate file (/etc/ejabberd/ejabberd.pem). But this file is not
present after installation.

Version-Release number of selected component (if applicable):


How reproducible:
Install the ejabberd RPMs.

Steps to Reproduce:
1.
2.
3.
  
Actual results:
The config file points several times to a non existing file.

Expected results:
Either a) The RPM has a post-install script which generates a self-signed
certificate.

or b) The configuration file has nothing active that needs encryption. In other
word, everything, that needs encryption, is commented out. 

Additional info:

Comment 1 Dafydd Harries 2008-08-06 13:19:54 UTC
There's a patch which generates a self-signed certificate on install here:

http://dev.laptop.org/ticket/5834

Comment 2 Peter Lemenkov 2008-08-07 10:44:51 UTC
(In reply to comment #1)
> There's a patch which generates a self-signed certificate on install here:
> 
> http://dev.laptop.org/ticket/5834

Thanks for patch. I'll review it and update ejabberd package ASAP.

Comment 3 Fedora Update System 2008-08-29 20:40:44 UTC
ejabberd-2.0.2-1.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/ejabberd-2.0.2-1.fc8

Comment 4 Fedora Update System 2008-08-29 20:40:50 UTC
ejabberd-2.0.2-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/ejabberd-2.0.2-1.fc9

Comment 5 Fedora Update System 2008-09-10 07:13:59 UTC
ejabberd-2.0.2-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ejabberd'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-7657

Comment 6 Fedora Update System 2008-09-10 07:15:21 UTC
ejabberd-2.0.2-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ejabberd'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-7637

Comment 7 Fedora Update System 2008-09-25 00:09:12 UTC
ejabberd-2.0.2-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2008-09-25 00:12:52 UTC
ejabberd-2.0.2-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.